package items;

import java.awt.Image;

import _texture.loader.Textures;
import utils.Utils;

/*  ------------- Nihilne ------------
    * Created by Mitch Weaver - 2016 *
      ~~~~ All Rights Reserved ~~~~ */

public final class DroppedItemIconTextures {
	
	public static final void getTextures() {
		
		
		
		// FROM INVENTORY CLASS:
		final int boxWidth = 84, boxHeight = 78;
		
		// NOTE: ITEM ID IS THE # + 1
		
		for(int i = 0; i < Textures.itemIconSheet.length; i++) {
			
			try {
				switch(i) {
					case 11: Textures.droppedItemIconSheet[i] = Utils.imageToBufferedImage(Textures.itemIconSheet[i].getScaledInstance(boxWidth / 5, boxHeight / 5, Image.SCALE_FAST)); break;
						
					default: Textures.droppedItemIconSheet[i] = Utils.imageToBufferedImage(Textures.itemIconSheet[i].getScaledInstance(boxWidth / 4, boxHeight / 4, Image.SCALE_FAST));
				}
			} catch (NullPointerException npe) { /* must be a structure or not init'd, ignore */ }
			
		}
		
		
	}
	
}
